com.h3c.util.health

## Enum State

- java.lang.Object
- - java.lang.Enum<State>
  - - com.h3c.util.health.State

- All Implemented Interfaces:
    Serializable, Comparable<State>

      public enum State
      extends Enum<State>

  An enumeration of the different states a "thing" can have. Note that these may apply to specific "categories" of functionality of the "thing" as well as an "aggregate" value representing the combined effect of each of the individual categories.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL` Denotes the state of a category of functionality where it requires the immediate attention of an administrator.
    `NORMAL` Denotes the state of a category of functionality where it is behaving normally.
    `NOT_APPLICABLE` This constant should be used where the state of a category of functionality does not make sense.
    `UNKNOWN` This constant should be used where the state of a category of functionality cannot be determined.
    `WARNING` Denotes the state of a category of functionality where it requires the attention of an administrator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_APPLICABLE

          public static final State NOT_APPLICABLE

      This constant should be used where the state of a category of functionality does not make sense.

    - #### NORMAL

          public static final State NORMAL

      Denotes the state of a category of functionality where it is behaving normally.

    - #### WARNING

          public static final State WARNING

      Denotes the state of a category of functionality where it requires the attention of an administrator.

    - #### CRITICAL

          public static final State CRITICAL

      Denotes the state of a category of functionality where it requires the immediate attention of an administrator.

    - #### UNKNOWN

          public static final State UNKNOWN

      This constant should be used where the state of a category of functionality cannot be determined.

  - ### Method Detail

    - #### values

          public static State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (State c : State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.